import { NestInterceptor, ExecutionContext, CallHandler } from '@nestjs/common';
import { Observable } from 'rxjs';
import { Logger } from 'log4js';
export declare abstract class Log4jsInterceptorAbstract implements NestInterceptor {
    protected requestLogger: Logger;
    protected responseLogger: Logger;
    protected constructor(requestLogger: Logger, responseLogger: Logger);
    intercept(context: ExecutionContext, next: CallHandler): Observable<any>;
    abstract requestFormat<T>(httpRequest: T): string;
    abstract responseFormat<T>(httpResponse: T): string;
}
