"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const operators_1 = require("rxjs/operators");
class Log4jsInterceptorAbstract {
    constructor(requestLogger, responseLogger) {
        this.requestLogger = requestLogger;
        this.responseLogger = responseLogger;
    }
    intercept(context, next) {
        const httpRequest = context.switchToHttp().getRequest();
        return next.handle().pipe(operators_1.tap(httpResponse => {
            this.requestLogger.info(this.requestFormat(httpRequest));
            this.responseLogger.info(this.responseFormat(httpResponse));
        }));
    }
}
exports.Log4jsInterceptorAbstract = Log4jsInterceptorAbstract;
