"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const log4js_constant_1 = require("./log4js.constant");
const log4js_1 = require("log4js");
exports.Log4jsProvider = [
    {
        provide: log4js_constant_1.LOG4JS_PROVIDER,
        useFactory: (config) => {
            return log4js_1.configure(config);
        },
        inject: [log4js_constant_1.LOG4JS_CONFIG],
    },
    {
        provide: log4js_constant_1.LOG4JS_LOGGER,
        useFactory: (log4js) => {
            return log4js.getLogger('logger');
        },
        inject: [log4js_constant_1.LOG4JS_PROVIDER],
    },
    {
        provide: log4js_constant_1.LOG4JS_REQUEST_LOGGER,
        useFactory: (log4js) => {
            return log4js.getLogger('request');
        },
        inject: [log4js_constant_1.LOG4JS_PROVIDER],
    },
    {
        provide: log4js_constant_1.LOG4JS_RESPONSE_LOGGER,
        useFactory: (log4js) => {
            return log4js.getLogger('response');
        },
        inject: [log4js_constant_1.LOG4JS_PROVIDER],
    },
    {
        provide: log4js_constant_1.LOG4JS_ERROR_LOGGER,
        useFactory: (log4js) => {
            return log4js.getLogger('error');
        },
        inject: [log4js_constant_1.LOG4JS_PROVIDER],
    },
];
